Page MenuHomePhabricator

Rate limit swift operations
Closed, ResolvedPublic

Description

Swift supports rate-limiting operations on the frontend (ms-fe) via wsgi middleware. Relevant documentation: https://docs.openstack.org/developer/swift/ratelimit.html

Details

Related Gerrit Patches:
operations/puppet : productionswift: add ratelimit middleware

Related Objects

Event Timeline

Change 350220 had a related patch set uploaded (by Filippo Giunchedi):
[operations/puppet@production] swift: add ratelimit middleware

https://gerrit.wikimedia.org/r/350220

fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.May 8 2017, 2:11 PM

Change 350220 merged by Filippo Giunchedi:
[operations/puppet@production] swift: add ratelimit middleware

https://gerrit.wikimedia.org/r/350220

Mentioned in SAL (#wikimedia-operations) [2017-05-09T08:05:15Z] <godog> roll-restart swift proxy for ratelimit middleware - T162793

fgiunchedi closed this task as Resolved.May 9 2017, 8:21 AM

Completed, we're rate limiting non-mediawiki accounts both for container delete/create and object create/delete/update (for containers with more than 200 objects)
Swift will initially slow down clients by waiting on replies, if too much "sleep time" passes while rate-limiting clients then a HTTP 498 status will be returned instead